package com.fjhx.service.material;

import com.alibaba.fastjson.JSONObject;
import com.fjhx.entity.material.MaterialClassify;
import com.fjhx.params.material.MaterialClassifyVo;
import com.fjhx.base.StorageBaseService;

import java.util.List;

/**
 * <p>
 * 物料分类 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-08-05
 */
public interface MaterialClassifyService extends StorageBaseService<MaterialClassify> {

    List<JSONObject> tree();

    void add(MaterialClassifyVo materialClassifyVo);

    void edit(MaterialClassifyVo materialClassifyVo);

}
